# -*- coding: utf-8 -*-
# @Author: wangkun
# @Time: 2023/6/20
import os
import sys
sys.path.append(os.getcwd())
from common.common import Common
# from gongzhonghao.gongzhonghao_author.gongzhonghao1_author import GongzhonghaoAuthor1
from gongzhonghao.gongzhonghao_author.gongzhonghao2_author import GongzhonghaoAuthor2


def gzh_main(log_type, crawler, env):
    Common.logger(log_type, crawler).info("开始抓取:公众号")
    Common.logging(log_type, crawler, env, "开始抓取:公众号")
    # GongzhonghaoAuthor1.get_all_videos(log_type=log_type,
    GongzhonghaoAuthor2.get_all_videos(log_type=log_type,
                                       crawler=crawler,
                                       rule_dict={"period": {"max": 1, "min": 1}, "duration": {"max": 2700, "min": 20}},
                                       env=env)
    Common.del_logs(log_type, crawler)
    Common.logger(log_type, crawler).info('抓取一轮结束\n')
    Common.logging(log_type, crawler, env, '抓取一轮结束\n')


if __name__ == "__main__":
    gzh_main(log_type="author", crawler="gongzhonghao", env="dev")